Subject: Re: [PATCH 2/2] Allow fetch-pack to decide keeping the fetched pack without exploding

From: Jakub Narebski <[email-masked]>
Date: Tue, 23 Jan 2007 11:55:26 +0100

Johannes Schindelin wrote:

> P.S.: These patches make me dream of yet another diff format enhancement: 
> code moves! Of course, for this to be really usable, you'd also have to 
> automatically determine indent changes... You may say I'm a dreamer. But 
> I'm not the only one...

I wonder if it could be done with e.g.

--- a/fromfile
+++ b/somefile
<code movement or copying>

--- a/somefile
+++ b/somefile
<other changes>

The problem is that context differs usually for code movement.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git